
/*
-- ------ Floatbox ------ --
*/
function Floatbox(){}
//-- ------ #Parameters ------ --
Floatbox.prototype.sName="Floatbox";
Floatbox.prototype.sAjax_0=new netsSingleAjax();
Floatbox.prototype.sFlag=0;
Floatbox.prototype.sTop=100;
Floatbox.prototype.sWidth_A=33;
Floatbox.prototype.sWidth_B=132;

//-- ------ #Methods ------ --
//-- #Initial --
Floatbox.prototype.OnInitial=function(){
	var tmpElement=document.getElementById(this.sName);
	if(tmpElement!=undefined){
		tmpINT=document.documentElement.scrollTop+this.sTop;
		tmpElement.style.top=tmpINT+tmpCommon.sysPx;
		tmpINT=0;
		if(this.sFlag==0){
			tmpINT=document.documentElement.clientWidth-this.sWidth_A;
		}else{
			tmpINT=document.documentElement.clientWidth-this.sWidth_B;
		}
		tmpElement.style.left=tmpINT+tmpCommon.sysPx;
		
	}
	
	return 0;
}
//-- #Open --
Floatbox.prototype.OnOpen=function(){
	document.getElementById(this.sName).style.width=this.sWidth_B+tmpCommon.sysPx;
	tmpINT=document.documentElement.clientWidth-this.sWidth_B;
	document.getElementById(this.sName).style.left=tmpINT+tmpCommon.sysPx;
	document.getElementById(this.sName+"A").className="FloatBox_2_1";
	document.getElementById(this.sName+"B").className=tmpCommon.sysHidden;
	
	this.sFlag=1;
	return 0;
}
//-- #Close --
Floatbox.prototype.OnClose=function(){
	document.getElementById(this.sName).style.width=this.sWidth_A+tmpCommon.sysPx;
	tmpINT=document.documentElement.clientWidth-this.sWidth_A;
	document.getElementById(this.sName).style.left=tmpINT+tmpCommon.sysPx;
	document.getElementById(this.sName+"A").className=tmpCommon.sysHidden;
	document.getElementById(this.sName+"B").className="FloatBox_1_3";
	
	this.sFlag=0;
	return 0;
}








